***

title: list
slug: /reference/python/rest/verified-callers/list
description: List verified caller IDs in the project.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

List verified caller IDs in the project.

<EndpointSchemaSnippet endpoint="GET /api/relay/rest/verified_caller_ids" />

## **Response Example**

<EndpointResponseSnippet endpoint="GET /api/relay/rest/verified_caller_ids" />

## **Example**

```python {9}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

result = client.verified_callers.list()
for caller in result.get("data", []):
    print(caller.get("phone_number"), caller.get("verification_state"))
```